' By Jimmy Bergmark
' Copyright (C) 1997-2012 JTB World, All Rights Reserved
' Website: www.jtbworld.com
' E-mail: info@jtbworld.com
' This program is created for AutoCAD 2002, AutoCAD 2004
' AutoCAD 2005, AutoCAD 2006, AutoCAD 2007, AutoCAD 2008
' AutoCAD 2009, AutoCAD 2010, AutoCAD 2011, AutoCAD 2012
' AutoCAD 2013 and vertical products
' Removes the icons Autodesk 360, Buzzsaw, RedSpark, Point A and FTP in Open dialog box for the current profile
' If the profile is added to the command line as an argument it is used instead
' If the profilename includes spaces, use " around the name
' Example: remicons.vbs "<<unnamed profile>>"

Sub main()
  On Error Resume Next
  Set WshShell = WScript.CreateObject("WScript.Shell")
  cv = WshShell.RegRead("HKCU\SOFTWARE\Autodesk\AutoCAD\CurVer")
  if cv="" then WScript.Quit
  ca = WshShell.RegRead("HKCU\SOFTWARE\Autodesk\AutoCAD\" & cv & "\CurVer")
  if ca="" then WScript.Quit
  prof = "HKCU\SOFTWARE\Autodesk\AutoCAD\" & cv & "\" & ca & "\Profiles\"
  cp = WshShell.RegRead(prof)
  If WScript.Arguments.Count > 0 Then
    cp=strip(WScript.Arguments(0))
  End If
  if cp="" then WScript.Quit
  key = prof & cp & "\Dialogs\AllAnavDialogs\DeletedExtensions\"
  WshShell.RegWrite key & "AcCloud", "", "REG_SZ"
  WshShell.RegWrite key & "Buzzsaw", "", "REG_SZ"
  WshShell.RegWrite key & "RedSpark", "", "REG_SZ"
  WshShell.RegWrite key & "SimpleStorageSites", "", "REG_SZ"
  WshShell.RegWrite key & "FTPSites", "", "REG_SZ"
  WshShell.RegWrite key & "ACPROJECT", "", "REG_SZ"
end sub

function strip(arg)
  if left(arg,1)="""" and right (arg,1)="""" then
    strip=mid(arg,1,len(arg)-2)
  else
    strip=arg
  end if
end function

main